<template>
  <q-page padding>
    <div v-if="this.user">
      <Meetings :user="this.user" />
    </div>
    <div v-else>
      <div
        class="parent"
        :style="{
          backgroundImage: `url('${require('@/assets/background.png')}')`,
        }"
      >
        <h3 class="maintitle">
          ZoomSense
          <p>
            Open Source Real-time Infrastructure for Zoom Augmentation<br />
            <sub class="text-grey">Management Portal</sub>
          </p>
        </h3>
        <div class="row justify-center">
          <q-banner
            class="bg-primary text-white q-pa-md q-my-md col-lg-8 col-12"
            rounded
          >
            <div class="text-h5">
              ZoomSense is in active development and testing in a number of
              contexts. If you are a teacher, researcher or developer, please
              get in touch.
            </div>
            <template v-slot:action>
              <q-btn
                type="a"
                size="lg"
                flat
                color="white"
                class="md-accent"
                href="mailto:fit-zoom.sense@monash.edu"
                >Get in touch to find out more</q-btn
              >
            </template>
          </q-banner>
        </div>
        <div style="text-align: center">
          <q-btn
            :loading="loading || this.loadingToken"
            rounded
            color="primary"
            size="xl"
            v-on:click="startLogin"
          >
            Login with Zoom.us
            <template v-slot:loading>Logging in...</template>
          </q-btn>
        </div>
      </div>
    </div>
  </q-page>
</template>

<script>
// @ is an alias to /src
import Meetings from "@/components/Meetings.vue";
import { EventBus } from "@/components/event-bus.js";

export default {
  name: "Home",
  props: ["user", "loadingToken"],
  data() {
    return {
      loading: false,
    };
  },
  components: {
    Meetings,
  },
  methods: {
    startLogin() {
      this.loading = true;
      EventBus.$emit("start-login");
    },
  },
};
</script>

<style scoped>
.maintitle {
  font-size: 4em;
  line-height: 0.8;
  margin: 0;
  text-align: center;
}

.maintitle p {
  font-size: 0.5em;
  margin-top: 0.5em;
  margin-bottom: 6.8em;
}

.parent {
  z-index: -1;
  /* position: absolute; */
  /* left: 0; */
  /* bottom: 0; */
  /* width: 100%; */
  min-height: 700px;
  /* margin-top:-100px; */
  background-repeat: no-repeat;
  background-position: center top;
  /* height: 700px; */
  background-color: white;
  background-size: 1200px;
}

@media only screen and (max-width: 400px) {
  .homex {
    background-size: 800px;
    background-position-y: 160px;
    /* padding-top:180px; */
  }

  .fordev {
    display: none;
  }

  .maintitle {
    font-size: 3em;
    margin-top: 0px;
  }

  .zoomcontent {
    margin-top: 250px;
  }

  /* .md-content {
  padding:1em;
  padding-top:.01em;
} */

  /* .md-content h1 {
    margin-bottom: 0px;
  } */
}

.indev {
  display: block;
  /* position: absolute; */
  /* width: 60%; */
  /* left:20%; */
}

.indev {
  color: #d84315;
  line-height: 1.3em;
}

h1 {
  margin-bottom: 1em;
}

.expand-page {
  margin-bottom: 50px;
}
</style>
